org.jfree.data.xy

## Class AbstractIntervalXYDataset

- java.lang.Object
- - org.jfree.data.general.AbstractDataset
  - - org.jfree.data.general.AbstractSeriesDataset
    - - org.jfree.data.xy.AbstractXYDataset
      - - org.jfree.data.xy.AbstractIntervalXYDataset

- All Implemented Interfaces:
    java.io.ObjectInputValidation, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, Dataset, SeriesChangeListener, SeriesDataset, IntervalXYDataset, XYDataset
  Direct Known Subclasses:
    XYSeriesCollection

      public abstract class AbstractIntervalXYDataset
      extends AbstractXYDataset
      implements IntervalXYDataset

  An base class that you can use to create new implementations of the `IntervalXYDataset` interface.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractIntervalXYDataset()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getEndXValue(int series, int item)` Returns the end x-value (as a double primitive) for an item within a series.
    `double` | `getEndYValue(int series, int item)` Returns the end y-value (as a double primitive) for an item within a series.
    `double` | `getStartXValue(int series, int item)` Returns the start x-value (as a double primitive) for an item within a series.
    `double` | `getStartYValue(int series, int item)` Returns the start y-value (as a double primitive) for an item within a series.

    - ### Methods inherited from class org.jfree.data.xy.AbstractXYDataset

      `getDomainOrder, getXValue, getYValue`

    - ### Methods inherited from class org.jfree.data.general.AbstractSeriesDataset

      `getSeriesCount, getSeriesKey, indexOf, seriesChanged`

    - ### Methods inherited from class org.jfree.data.general.AbstractDataset

      `addChangeListener, clone, fireDatasetChanged, getGroup, getNotify, hasListener, notifyListeners, removeChangeListener, setGroup, setNotify, validateObject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jfree.data.xy.IntervalXYDataset

      `getEndX, getEndY, getStartX, getStartY`

    - ### Methods inherited from interface org.jfree.data.xy.XYDataset

      `getDomainOrder, getItemCount, getX, getXValue, getY, getYValue`

    - ### Methods inherited from interface org.jfree.data.general.SeriesDataset

      `getSeriesCount, getSeriesKey, indexOf`

    - ### Methods inherited from interface org.jfree.data.general.Dataset

      `addChangeListener, getGroup, removeChangeListener, setGroup`

- - ### Constructor Detail

    - #### AbstractIntervalXYDataset

          public AbstractIntervalXYDataset()

  - ### Method Detail

    - #### getStartXValue

          public double getStartXValue(int series,
                                       int item)

      Returns the start x-value (as a double primitive) for an item within a series.
      Specified by:
        `getStartXValue` in interface `IntervalXYDataset`
      Parameters:
        `series` - the series index (zero-based).
        `item` - the item index (zero-based).
      Returns:
        The value.
      See Also:
        `IntervalXYDataset.getStartX(int, int)`

    - #### getEndXValue

          public double getEndXValue(int series,
                                     int item)

      Returns the end x-value (as a double primitive) for an item within a series.
      Specified by:
        `getEndXValue` in interface `IntervalXYDataset`
      Parameters:
        `series` - the series index (zero-based).
        `item` - the item index (zero-based).
      Returns:
        The value.
      See Also:
        `IntervalXYDataset.getEndX(int, int)`

    - #### getStartYValue

          public double getStartYValue(int series,
                                       int item)

      Returns the start y-value (as a double primitive) for an item within a series.
      Specified by:
        `getStartYValue` in interface `IntervalXYDataset`
      Parameters:
        `series` - the series index (zero-based).
        `item` - the item index (zero-based).
      Returns:
        The value.
      See Also:
        `IntervalXYDataset.getStartY(int, int)`

    - #### getEndYValue

          public double getEndYValue(int series,
                                     int item)

      Returns the end y-value (as a double primitive) for an item within a series.
      Specified by:
        `getEndYValue` in interface `IntervalXYDataset`
      Parameters:
        `series` - the series (zero-based index).
        `item` - the item (zero-based index).
      Returns:
        The value.
      See Also:
        `IntervalXYDataset.getEndY(int, int)`